<div  fxLayout="row" fxLayoutAlign="center center" style="height: 100%;">
    <form [formGroup]="formGroup" fxLayout="column">
        <mat-form-field >
            <mat-label>Email</mat-label>
            <input matInput 
                placeholder="Ex. unu@unu.unu" formControlName="email">
            <mat-error *ngIf="formControls.email.errors && !formControls.email.errors.required">
                Please enter a valid email address
            </mat-error>
            <mat-error *ngIf="formControls.email.errors?.required">
                Email is required.
            </mat-error>
        </mat-form-field>
        <mat-form-field >
            <mat-label>Password</mat-label>
            <input matInput placeholder="Ex. unu" formControlName="password">
            <mat-error *ngIf="formControls.password.errors?.required">
                Password is required.
            </mat-error>
        </mat-form-field>
        <mat-error *ngIf="!isLoginSuccessfull">
            Email or password is wrong. Please try again.
        </mat-error>
        <button mat-flat-button color="primary" type="submit" [disabled]="!formGroup.valid" (click)="login()">LOGIN</button>
    </form>
</div>